package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates inflectional variants to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateAdjVariants implements UpdateLex
{
    // public method
    /**
    * Update the adjective inflectional variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the infelctional variants from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        // TBD: 
        lexObj.GetCatEntry().GetAdjEntry().AddVariant(token);
        //TBD: add base into current irreg
        /***
        String filler = token;
        if(token.startsWith("irreg|"))
        {
            filler = "irreg|" + lexObj.GetBase() + token.substring(5);
        }
        lexObj.GetCatEntry().GetAdjEntry().AddVariant(filler);
        ***/
    }
}
