package gov.nih.nlm.nls.lexCheck.Cat.Auxi;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates inflectional variants to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateAuxVariant implements UpdateLex
{
    // public method
    /**
    * Update the auxilary inflectional variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the inflectional variants from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetAuxEntry().AddVariant(token);
    }
}
