package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates noun proper to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateNounProper implements UpdateLex
{
    // public method
    /**
    * Update the noun proper to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the noun proper from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetNounEntry().SetProper(
            token.equals("\tproper"));
    }
}
