package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates noun trade name to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateNounTradeName implements UpdateLex
{
    // public method
    /**
    * Update the noun trade name to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the noun trade name from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetNounEntry().AddTradeName(token);
    }
}
