package gov.nih.nlm.nls.lexCheck.Cat.Pron;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates pronoun gender to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdatePronGender implements UpdateLex
{
    // public method
    /**
    * Update the pronoun gender to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the pronoun gender from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetPronEntry().SetGender(token);
    }
}
