package gov.nih.nlm.nls.lexCheck.Cat.Pron;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates pornoun interrogative to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdatePronInterrogative implements UpdateLex
{
    // public method
    /**
    * Update the pronoun interrogative to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the pronoun interrogative from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetPronEntry().SetInterrogative(
            token.equals("\tinterrogative"));
    }
}
