package gov.nih.nlm.nls.lexCheck.Cat.Verb;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates verb complex transitive complement to current lexical 
* record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateVerbCplxtran implements UpdateLex
{
    // public method
    /**
    * Update the verb complex transitive complement to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the modificationtype from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetVerbEntry().AddCplxtran(token);
    }
}
