package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates category in the lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateCat implements UpdateLex
{
    // public method
    /**
    * Updates category in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of category
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetCat(token);
    }
}
