package gov.nih.nlm.nls.lexCheck.install.utils;

import java.util.*;
import java.io.*;

/* ================================================|Use.java |==== */
/**
* Use prints out the usage page
*
*       Wed Apr 18 15:15:59 EDT 2001,     divita     Initial Version
*/
/* ================================================|Use.java |==== */
public final class Use
{

  // ====================
  // PUBLIC METHODS
  // ====================

// ================================================|Public Method Header|====
/**
 * Method usage prints out the usage page
 *
 * @param  String pFileName	The path to a valid usage page.
*/
// ================================================|Public Method Header|====
public static void usage( String pFileName)
  {
    if ( pFileName != null ) {

      try {
	BufferedReader      fStream = null;
	fStream = new BufferedReader(new FileReader(pFileName ));

	try {
          String line = null;

	  while ((line = fStream.readLine()) != null )  {
	    System.out.println( line );
	  }
	} catch ( Exception e ) {
	  System.out.println("Not able to read the man page " + e.toString());
	  e.printStackTrace();
	}
      }catch (Exception e2 ) {
	System.out.println("Not able to open the man page " + e2.toString());
	e2.printStackTrace();
      }
    }
   } //*** End public static void usage( String pFileName)
} // End of the Class Use

