package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.UnicodeUtil;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java class to check the Abbreviation of a lexRecord.
* <ul>
* <li>No duplicates - auto fix by removing duplicates
* </ul>
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class CheckAbbreviations
{
    // private constructor
    private CheckAbbreviations()
    {
    }
    // public methods
    // check content itself
    public static boolean CheckContent(LexRecord lexRecord)
    {
        // check extra space
        boolean spaceFlag = CheckContent.CheckSpacesForList(lexRecord, 
            LexRecordUtil.CONTENT_ABB); 
        boolean validFlag = spaceFlag;
        return validFlag;
    }
    // check current content with other contents in the same record
    public static boolean CheckContents(LexRecord lexRecord)
    {
        // check duplication
        boolean validFlag = CheckContent.CheckDuplicatesForList(lexRecord, 
            LexRecordUtil.CONTENT_ABB);
        return validFlag;
    }
    // data member
}
