package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates base in the lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2016
****************************************************************************/
public class UpdateBase implements UpdateLex
{
    // public method
    /**
    * Updates base in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of base
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetBase(token);
    }
}
